org.apache.ignite.springdata20.repository.config

## Class IgniteRepositoriesRegistar

- java.lang.Object
- - org.springframework.data.repository.config.RepositoryBeanDefinitionRegistrarSupport
  - - org.apache.ignite.springdata20.repository.config.IgniteRepositoriesRegistar

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.context.annotation.ImportBeanDefinitionRegistrar, org.springframework.context.EnvironmentAware, org.springframework.context.ResourceLoaderAware

      public class IgniteRepositoriesRegistar
      extends org.springframework.data.repository.config.RepositoryBeanDefinitionRegistrarSupport

  Apache Ignite specific implementation of `RepositoryBeanDefinitionRegistrarSupport`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteRepositoriesRegistar()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Class<? extends Annotation>` | `getAnnotation()`
    `protected org.springframework.data.repository.config.RepositoryConfigurationExtension` | `getExtension()`

    - ### Methods inherited from class org.springframework.data.repository.config.RepositoryBeanDefinitionRegistrarSupport

      `registerBeanDefinitions, registerBeanDefinitions, setEnvironment, setResourceLoader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteRepositoriesRegistar

          public IgniteRepositoriesRegistar()

  - ### Method Detail

    - #### getAnnotation

          protected Class<? extends Annotation> getAnnotation()

      Specified by:
        `getAnnotation` in class `org.springframework.data.repository.config.RepositoryBeanDefinitionRegistrarSupport`

    - #### getExtension

          protected org.springframework.data.repository.config.RepositoryConfigurationExtension getExtension()

      Specified by:
        `getExtension` in class `org.springframework.data.repository.config.RepositoryBeanDefinitionRegistrarSupport`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020